from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComInstDiv(UltmarcTable):
    """レイアウト区分011: COM_施設区分"""
    inst_div_cd: str            # 施設区分コード
    inst_div_name: str          # 施設区分名称
    maint_flag: str             # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.inst_div_cd = record[1]
        self.maint_flag = record[2]
        self.inst_div_name = record[5]
